org.jboss.logging.processor.apt

## Class AbstractGenerator

- java.lang.Object
- - org.jboss.logging.processor.apt.AbstractGenerator

    public abstract class AbstractGenerator
    extends Object

An abstract processor used process annotations.

Author:
  James R. Perkins, Kevin Pollet - SERLI - (kevin.pollet@serli.com)

### Method Summary

Methods
`String` `getName()` Returns the name of the processor.
`Set<String>` `getSupportedOptions()` Returns the supported options set.
`ProcessingEnvironment` `processingEnv()` Returns the processing environment.
`abstract void` `processTypeElement(TypeElement annotation, TypeElement element, MessageInterface messageInterface)` Processes a type element.
`Types` `typeUtils()` Returns the type utils.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### processTypeElement

    public abstract void processTypeElement(TypeElement annotation,
                          TypeElement element,
                          MessageInterface messageInterface)

Processes a type element.

Parameters:
  `annotation` - the annotation who trigger the processing
  `element` - the element that contains the methods.
  `messageInterface` - the message interface to implement.

#### typeUtils

    public final Types typeUtils()

Returns the type utils.

Returns:
  the utils

#### processingEnv

    public final ProcessingEnvironment processingEnv()

Returns the processing environment.

Returns:
  the processing environment being used.

#### getName

    public final String getName()

Returns the name of the processor.

Returns:
  the name of the processor.

#### getSupportedOptions

    public final Set<String> getSupportedOptions()

Returns the supported options set.

Returns:
  the supported options set or empty set if none